package game

import (
	"sirlab.de/go/knyt/syncdata"
)

func (gm *Game) populateSyncDataCb(syncData *syncdata.SyncData) {
	gm.populatePlayers(syncData)
}

func (gm *Game) populatePlayers(syncData *syncdata.SyncData) {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	syncData.GameInfo.GameId = gm.id
	players := make([]syncdata.PlayerInfo, 0)
	for _, p := range gm.players {
		if p.isPlaying {
			players = append(players, syncdata.PlayerInfo{
				Id:     p.id,
				Name:   p.name,
				IsIdle: p.isIdle,
			})
		}
	}
	syncData.GameInfo.Players = players
}
